package com.sifang.modules.order.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 *工单收款信息表实体诶
 * @author lzp
 * @version 2019-11-13
 */
@Entity
@Table(name = "crm_order_collections")
public class OrderCollections implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DEL_FLAG_NO = "0";

	public static final String DEL_FLAG_YES = "1";// 已删除

	private String id;
	private String orderId; //
	private Date createTime;// 确认收款时间
	private String createBy;// 创建人user_id
	private String employeId;// 确认收款人employeId
	private String employeName;// 工程师姓名
	private String siteId;// 服务商id
	private String status;// 状态：0正常 1已删除
	private BigDecimal paymentAmount; // 支付金额
	private String paymentType; // 支付方式：0支付宝 1微信 4美的付 5苏宁付 默认0
	private String source; //收款来源：0.工单收款
	private String paymentCategory;//收费类目
	private String customerName; //用户姓名
	private String customerMobile; //用户手机
	private String customerAddress; //用户地址
	private String imgs; //上传凭证
	private String description; //
	private String powerStationName; //
	private String orderNumber; //工单/商品编号


	public static final String TYPE_ORDER = "0";
	public static final String TYPE_GOOD_ORDER = "1";
	public static final String TYPE_OTHERS = "2";
	public static final String TYPE_FITTING_USED = "3";

	public OrderCollections() {
		super();
		this.status = DEL_FLAG_NO;
		this.createTime = new Date();
		this.paymentType = "0";
	}

	public OrderCollections(String id) {
		this();
		this.id = id;
	}

	public String getPowerStationName() {
		return powerStationName;
	}

	public void setPowerStationName(String powerStationName) {
		this.powerStationName = powerStationName;
	}

	@Id
	@GeneratedValue(generator = "idGenerator")
	@GenericGenerator(name = "idGenerator", strategy = "uuid")
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}


	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getEmployeId() {
		return employeId;
	}

	public void setEmployeId(String employeId) {
		this.employeId = employeId;
	}

	public String getEmployeName() {
		return employeName;
	}

	public void setEmployeName(String employeName) {
		this.employeName = employeName;
	}

	public String getSiteId() {
		return siteId;
	}

	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public BigDecimal getPaymentAmount() {
		return paymentAmount;
	}

	public void setPaymentAmount(BigDecimal paymentAmount) {
		this.paymentAmount = paymentAmount;
	}

	public String getPaymentType() {
		return paymentType;
	}

	public void setPaymentType(String paymentType) {
		this.paymentType = paymentType;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getPaymentCategory() {
		return paymentCategory;
	}

	public void setPaymentCategory(String paymentCategory) {
		this.paymentCategory = paymentCategory;
	}

	public String getCustomerName() {
		return customerName;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public String getCustomerMobile() {
		return customerMobile;
	}

	public void setCustomerMobile(String customerMobile) {
		this.customerMobile = customerMobile;
	}

	public String getCustomerAddress() {
		return customerAddress;
	}

	public void setCustomerAddress(String customerAddress) {
		this.customerAddress = customerAddress;
	}


	public String getImgs() {
		return imgs;
	}

	public void setImgs(String imgs) {
		this.imgs = imgs;
	}

	public String getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}


	@Override
	public String toString() {
		return "OrderCollections{" +
				"id='" + id + '\'' +
				", orderId='" + orderId + '\'' +
				", createTime=" + createTime +
				", createBy='" + createBy + '\'' +
				", employeId='" + employeId + '\'' +
				", employeName='" + employeName + '\'' +
				", siteId='" + siteId + '\'' +
				", status='" + status + '\'' +
				", paymentAmount=" + paymentAmount +
				", paymentType='" + paymentType + '\'' +
				", source='" + source + '\'' +
				", paymentCategory='" + paymentCategory + '\'' +
				", customerName='" + customerName + '\'' +
				", customerMobile='" + customerMobile + '\'' +
				", customerAddress='" + customerAddress + '\'' +
				", imgs='" + imgs + '\'' +
				", description='" + description + '\'' +
				", orderNumber='" + orderNumber + '\'' +
				'}';
	}
}
